SIPSimR
=======

The repo contains R scripts assocated with the [SIPSim toolset](https://github.com/nick-youngblut/SIPSim)

SIPSim is a toolset for simulating data from high resolution 
stable isotope probing (HR-SIP) experiments.

#### Sections

- [REFERENCE](#reference)
- [INSTALLATION](#installation)
- [CHANGE LOG](#changelog)
- [LICENSE](#license)


# REFERENCE

[[top](#sections)]

If you use SIPSim, please cite:

> Youngblut, ND, Buckley DH. Evaluating the accuracy of DNA stable isotope probing. doi: https://doi.org/10.1101/138719


# INSTALLATION

[[top](#sections)]

## Dependencies

* docopt
* dplyr
* tidyr
* ggplot2
* phyloseq
* DESeq2
* fitdistrplus
* vegan
* caret
* ape
* optparse


## Clone the repo

~~~
git clone https:github.com/nyoungb2/SIPSimR.git
cd SIPSimR
~~~

You can install the R scripts with:

`python setup.py install`

...or you can just add the `scripts/` directory to your PATH 


# CHANGELOG

[[top](#sections)]


# LICENSE

[[top](#sections)]

* Free software: MIT license